% Created 2010-April-15
% Written by Peter J. Schmid
% Matlab script for processing EDF cylinder-bundle data 

%====================================================
%   Data Load Module for DMD Analysis of EDF-data
%====================================================

  %...directory where data is stored 
  dirdata = './Data/';   

  %...name of file
  nam1 = 'File';
  iviz = 0;         % iviz=1: visualize the snapshots 

  %...resolution of the data fields
  n = 63; m = 79;
  indexu = 3;
  indexv = 4;

  %...start, stop and skip of data fields
  nstart = 200;
  nstop  = 700;
  nskip  = 1;

%===================================================
%  read in and process selected data files 
%===================================================

  nsn = length([nstart:nskip:nstop]);
  VVV = zeros(2*n*m,nsn);
  %...read in the snapshots into a V-matrix
  ic = 0;
  for i=nstart:nskip:nstop
    nam = strcat(dirdata,nam1,num2str(i));
    fprintf('processing frame %s\n',nam);
    S = load(nam);
    if (i==nstart)
      X = reshape(S(:,1),n,m);
      Y = reshape(S(:,2),n,m);
    end
    U = reshape(S(:,indexu),n,m);
    V = reshape(S(:,indexv),n,m);
    if iviz==1 
      figure(1); quiver(U,V,3); axis([1 m 1 n]) 
      title(nam);
      drawnow;
    end
    ic = ic + 1;
    VVV(:,ic) = [S(:,indexu); S(:,indexv)];
  end

  clear S U V dirdata i ic indexu indexv nam nam1 nskip nsn nstart nstop
  save('VVV.mat');
